{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}

<h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
<form method="post" class="loginForm">

    {% if error %}

    <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>

    {% endif %}

    <label for="inputUsername">Username</label>
    <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" placeholder="Username" required autofocus>
    <label for="inputPassword">Password</label>
    <input type="password" name="password" id="inputPassword" class="form-control" placeholder="Password" required>

    <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
    <button class="btn btn-lg btn-primary" type="submit">Sign in</button>
</form>
    
{% endblock %}
